OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.FramebufferObjectCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBFramebufferObject :: MonadIO m => m Bool
- gl_ARB_framebuffer_object :: Bool
- pattern GL_COLOR_ATTACHMENT0 :: GLenum
- pattern GL_COLOR_ATTACHMENT1 :: GLenum
- pattern GL_COLOR_ATTACHMENT10 :: GLenum
- pattern GL_COLOR_ATTACHMENT11 :: GLenum
- pattern GL_COLOR_ATTACHMENT12 :: GLenum
- pattern GL_COLOR_ATTACHMENT13 :: GLenum
- pattern GL_COLOR_ATTACHMENT14 :: GLenum
- pattern GL_COLOR_ATTACHMENT15 :: GLenum
- pattern GL_COLOR_ATTACHMENT2 :: GLenum
- pattern GL_COLOR_ATTACHMENT3 :: GLenum
- pattern GL_COLOR_ATTACHMENT4 :: GLenum
- pattern GL_COLOR_ATTACHMENT5 :: GLenum
- pattern GL_COLOR_ATTACHMENT6 :: GLenum
- pattern GL_COLOR_ATTACHMENT7 :: GLenum
- pattern GL_COLOR_ATTACHMENT8 :: GLenum
- pattern GL_COLOR_ATTACHMENT9 :: GLenum
- pattern GL_DEPTH24_STENCIL8 :: GLenum
- pattern GL_DEPTH_ATTACHMENT :: GLenum
- pattern GL_DEPTH_STENCIL :: GLenum
- pattern GL_DEPTH_STENCIL_ATTACHMENT :: GLenum
- pattern GL_DRAW_FRAMEBUFFER :: GLenum
- pattern GL_DRAW_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_FRAMEBUFFER :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum
- pattern GL_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_FRAMEBUFFER_COMPLETE :: GLenum
- pattern GL_FRAMEBUFFER_DEFAULT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum
- pattern GL_FRAMEBUFFER_UNDEFINED :: GLenum
- pattern GL_FRAMEBUFFER_UNSUPPORTED :: GLenum
- pattern GL_INVALID_FRAMEBUFFER_OPERATION :: GLenum
- pattern GL_MAX_COLOR_ATTACHMENTS :: GLenum
- pattern GL_MAX_RENDERBUFFER_SIZE :: GLenum
- pattern GL_MAX_SAMPLES :: GLenum
- pattern GL_READ_FRAMEBUFFER :: GLenum
- pattern GL_READ_FRAMEBUFFER_BINDING :: GLenum
- pattern GL_RENDERBUFFER :: GLenum
- pattern GL_RENDERBUFFER_ALPHA_SIZE :: GLenum
- pattern GL_RENDERBUFFER_BINDING :: GLenum
- pattern GL_RENDERBUFFER_BLUE_SIZE :: GLenum
- pattern GL_RENDERBUFFER_DEPTH_SIZE :: GLenum
- pattern GL_RENDERBUFFER_GREEN_SIZE :: GLenum
- pattern GL_RENDERBUFFER_HEIGHT :: GLenum
- pattern GL_RENDERBUFFER_INTERNAL_FORMAT :: GLenum
- pattern GL_RENDERBUFFER_RED_SIZE :: GLenum
- pattern GL_RENDERBUFFER_SAMPLES :: GLenum
- pattern GL_RENDERBUFFER_STENCIL_SIZE :: GLenum
- pattern GL_RENDERBUFFER_WIDTH :: GLenum
- pattern GL_STENCIL_ATTACHMENT :: GLenum
- pattern GL_STENCIL_INDEX1 :: GLenum
- pattern GL_STENCIL_INDEX16 :: GLenum
- pattern GL_STENCIL_INDEX4 :: GLenum
- pattern GL_STENCIL_INDEX8 :: GLenum
- pattern GL_TEXTURE_STENCIL_SIZE :: GLenum
- pattern GL_UNSIGNED_INT_24_8 :: GLenum
- pattern GL_UNSIGNED_NORMALIZED :: GLenum
- glBindFramebuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindRenderbuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBlitFramebuffer :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glCheckFramebufferStatus :: MonadIO m => GLenum -> m GLenum
- glDeleteFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFramebufferRenderbuffer :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glFramebufferTexture1D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture2D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture3D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glFramebufferTextureLayer :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glGenFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenerateMipmap :: MonadIO m => GLenum -> m ()
- glGetFramebufferAttachmentParameteriv :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetRenderbufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsFramebuffer :: MonadIO m => GLuint -> m GLboolean
- glIsRenderbuffer :: MonadIO m => GLuint -> m GLboolean
- glRenderbufferStorage :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> m ()
- glRenderbufferStorageMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBFramebufferObject :: MonadIO m => m Bool Source #

Is the ARB_framebuffer_object extension supported?

gl_ARB_framebuffer_object :: Bool Source #

Is the ARB_framebuffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFramebufferObject` in those cases instead.

# Enums

pattern GL_COLOR_ATTACHMENT0 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT1 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT10 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT11 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT12 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT13 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT14 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT15 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT2 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT3 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT4 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT5 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT6 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT7 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT8 :: GLenum Source #

pattern GL_COLOR_ATTACHMENT9 :: GLenum Source #

pattern GL_DEPTH24_STENCIL8 :: GLenum Source #

pattern GL_DEPTH_ATTACHMENT :: GLenum Source #

pattern GL_DEPTH_STENCIL :: GLenum Source #

pattern GL_DEPTH_STENCIL_ATTACHMENT :: GLenum Source #

pattern GL_DRAW_FRAMEBUFFER :: GLenum Source #

pattern GL_DRAW_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_FRAMEBUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum Source #

pattern GL_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_FRAMEBUFFER_COMPLETE :: GLenum Source #

pattern GL_FRAMEBUFFER_DEFAULT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum Source #

pattern GL_FRAMEBUFFER_UNDEFINED :: GLenum Source #

pattern GL_FRAMEBUFFER_UNSUPPORTED :: GLenum Source #

pattern GL_INVALID_FRAMEBUFFER_OPERATION :: GLenum Source #

pattern GL_MAX_COLOR_ATTACHMENTS :: GLenum Source #

pattern GL_MAX_RENDERBUFFER_SIZE :: GLenum Source #

pattern GL_MAX_SAMPLES :: GLenum Source #

pattern GL_READ_FRAMEBUFFER :: GLenum Source #

pattern GL_READ_FRAMEBUFFER_BINDING :: GLenum Source #

pattern GL_RENDERBUFFER :: GLenum Source #

pattern GL_RENDERBUFFER_ALPHA_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_BINDING :: GLenum Source #

pattern GL_RENDERBUFFER_BLUE_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_DEPTH_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_GREEN_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_HEIGHT :: GLenum Source #

pattern GL_RENDERBUFFER_INTERNAL_FORMAT :: GLenum Source #

pattern GL_RENDERBUFFER_RED_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_SAMPLES :: GLenum Source #

pattern GL_RENDERBUFFER_STENCIL_SIZE :: GLenum Source #

pattern GL_RENDERBUFFER_WIDTH :: GLenum Source #

pattern GL_STENCIL_ATTACHMENT :: GLenum Source #

pattern GL_STENCIL_INDEX1 :: GLenum Source #

pattern GL_STENCIL_INDEX16 :: GLenum Source #

pattern GL_STENCIL_INDEX4 :: GLenum Source #

pattern GL_STENCIL_INDEX8 :: GLenum Source #

pattern GL_TEXTURE_STENCIL_SIZE :: GLenum Source #

pattern GL_UNSIGNED_INT_24_8 :: GLenum Source #

pattern GL_UNSIGNED_NORMALIZED :: GLenum Source #

# Functions

glBindFramebuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLuint | `framebuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBlitFramebuffer Source #

Arguments

:: MonadIO m |
=> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter` of type BlitFramebufferFilter.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glCheckFramebufferStatus Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> m GLenum | of type FramebufferStatus.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteFramebuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteRenderbuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `renderbuffertarget` of type RenderbufferTarget.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `zoffset`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTextureLayer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenFramebuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenRenderbuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenerateMipmap Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFramebufferAttachmentParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetRenderbufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `pname` of type RenderbufferParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsFramebuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsRenderbuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorageMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.